Subject: Re: [Ntp] Splitting draft-ietf-ntp-packet-timestamps

From: Tal Mizrahi <[email-masked]>
Date: Mon, 2 Apr 2018 14:13:37 +0300

Hi,

Just noticed I haven't really responded to this email (actually I responded
without reply-to-all... :), so echoing my response again.

>I just wonder: Would (1) be of any use without (2)?

That is indeed one of the questions we are debating here. I believe the
answer is yes.
When we consider time distribution protocols such as NTP, a control field
is certainly a necessity. However, many network protocols that use a
timestamp do not require a control field, for example, RFC 4656, RFC 5357,
RFC 1323, as well as in-progress drafts such as draft-ietf-ippm-ioam-data
and draft-ietf-sfc-nsh-broadband-allocation. These drafts may benefit from
(1), and do not require (2). Thus the motivation to provide (1) earlier,
while we are continuing to work on (2).

Having said that, we will continue to pursue both (1) and (2). The only
question is whether they should be in the same document.

Cheers,
Tal.

On Wed, Mar 28, 2018 at 9:26 AM, Ulrich Windl <
[email-masked]> wrote:

> Hi!
>
> I just wonder: Would (1) be of any use without (2)?
>
> Regards,
> Ulrich
>
> >>> Tal Mizrahi <[email-masked]> schrieb am 28.03.2018 um
> 07:54 in
> Nachricht
> <[email-masked]>:
> > Hi,
> >
> > As discussed in IETF 101, we are considering to split the draft into two
> > separate drafts: (1) a draft that specifies the timestamp specification
> > template and recommended formats, and (2) a draft that specifies the
> > control field. Obviously, the two topics are tightly coupled and would
> > benefit from being in the same draft, but splitting the draft would allow
> > (1) to be published in the near future, while we are continuing to work
> on
> > (2) which still requires more work. After having discussed this
> internally
> > the authors are inclined towards splitting into two drafts, but we would
> be
> > happy to hear people's opinions.
> >
> > Thanks,
> > Tal.
>
>
>
>
>